## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           infoblox-client
Version:        0.6.0
Release:        %autorelease
Summary:        Client for interacting with Infoblox NIOS over WAPI

License:        Apache-2.0
URL:            https://github.com/infobloxopen/infoblox-client
Source:         https://github.com/infobloxopen/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Client for interacting with Infoblox NIOS over WAPI.}

%description %_description

%package -n python3-%{name}
Summary:        %{summary}

%description -n python3-%{name} %_description



%prep
%autosetup -p1 -n %{name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install

# Here, "pello" is the name of the importable module.
%pyproject_save_files -l infoblox_client


%check
%if %{with tests}
%tox
%endif

# Note that there is no %%files section for
# the unversioned python module, python-pello.

# For python3-pello, %%{pyproject_files} handles code files and %%license,
# but executables and documentation must be listed in the spec file:

%files -n python3-%{name} -f %{pyproject_files}
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Tue Sep 03 2024 Andrew Heath <anheath@anheath-thinkpadt14sgen2i.rmtusnc.csb> - 0.6.0-5
- Fix testing

* Tue Sep 03 2024 Andrew Heath <anheath@anheath-thinkpadt14sgen2i.rmtusnc.csb> - 0.6.0-4
- Updated Upstream source

* Tue Sep 03 2024 Andrew Heath <anheath@anheath-thinkpadt14sgen2i.rmtusnc.csb> - 0.6.0-3
- Updateing to %%autorelease

* Tue Sep 03 2024 Andrew Heath <anheath@anheath-thinkpadt14sgen2i.rmtusnc.csb> - 0.6.0-2
- Changing source from Pypi to upstream

* Tue Sep 03 2024 Andrew Heath <anheath@anheath-thinkpadt14sgen2i.rmtusnc.csb> - 0.6.0-1
- Initial import (fedora#2308691).
## END: Generated by rpmautospec
